% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tt_toString.R
\name{get_formatted_cells}
\alias{get_formatted_cells}
\alias{get_formatted_cells,TableTree-method}
\alias{get_formatted_cells,ElementaryTable-method}
\alias{get_formatted_cells,TableRow-method}
\alias{get_formatted_cells,LabelRow-method}
\title{get formatted cells}
\usage{
get_formatted_cells(obj)

\S4method{get_formatted_cells}{TableTree}(obj)

\S4method{get_formatted_cells}{ElementaryTable}(obj)

\S4method{get_formatted_cells}{TableRow}(obj)

\S4method{get_formatted_cells}{LabelRow}(obj)
}
\arguments{
\item{obj}{ANY. The object for the accessor to access or modify}
}
\value{
the formatted print-strings for all (body) cells in \code{obj}.
}
\description{
get formatted cells
}
\examples{

library(dplyr)

iris2 <- iris \%>\%
  group_by(Species) \%>\%
  mutate(group = as.factor(rep_len(c("a", "b"), length.out = n()))) \%>\%
  ungroup()

tbl <- basic_table() \%>\%
  split_cols_by("Species") \%>\%
  split_cols_by("group") \%>\%
  analyze(c("Sepal.Length", "Petal.Width"), afun = list_wrap_x(summary) , format = "xx.xx") \%>\%
  build_table(iris2)

get_formatted_cells(tbl)
}
