% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tt_compatibility.R
\name{insert_rrow}
\alias{insert_rrow}
\title{[DEPRECATED] insert rrows at (before) a specific location}
\usage{
insert_rrow(tbl, rrow, at = 1, ascontent = FALSE)
}
\arguments{
\item{tbl}{rtable}

\item{rrow}{rrow to append to rtable}

\item{at}{position into which to put the rrow, defaults to beginning (ie 1)}

\item{ascontent}{logical. Currently ignored.}
}
\value{
A TableTree of the same specific class as \code{tbl}
}
\description{
This function is deprecated and will be removed in a future release of
rtables. Please use \code{\link{insert_row_at_path}} or
\code{\link{label_at_path}} instead.
}
\note{
Label rows (ie a row with no data values, only a row.name) can only be inserted at positions which do not already contain a label row when there is a non-trivial nested row structure in \code{tbl}
}
\examples{
o <- options(warn = 0)
tbl <- basic_table() \%>\%
    split_cols_by("Species") \%>\%
    analyze("Sepal.Length") \%>\%
    build_table(iris)

insert_rrow(tbl, rrow("Hello World"))
insert_rrow(tbl, rrow("Hello World"), at = 2)

tbl2 <- basic_table() \%>\%
    split_cols_by("Species") \%>\%
    split_rows_by("Species") \%>\%
    analyze("Sepal.Length") \%>\%
    build_table(iris)

insert_rrow(tbl2, rrow("Hello World"))
insert_rrow(tbl2, rrow("Hello World"), at = 2)
insert_rrow(tbl2, rrow("Hello World"), at = 4)

insert_rrow(tbl2, rrow("new row", 5, 6, 7))

insert_rrow(tbl2, rrow("new row", 5, 6, 7), at = 3)

options(o)
}
\seealso{
Other compatability: 
\code{\link{rtable}()}
}
\concept{compatability}
