% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summary.R
\name{row_paths}
\alias{row_paths}
\alias{col_paths}
\title{Return List with Table Row/Col Paths}
\usage{
row_paths(x)

col_paths(x)
}
\arguments{
\item{x}{an rtable object}
}
\value{
a list of paths to each row/column within \code{x}
}
\description{
Return List with Table Row/Col Paths
}
\examples{
tbl <- basic_table() \%>\%
  split_cols_by("ARM") \%>\%
  analyze(c("SEX", "AGE")) \%>\%
  build_table(ex_adsl)

tbl

row_paths(tbl)
col_paths(tbl)

cell_values(tbl, c("AGE", "Mean"),  c("ARM", "B: Placebo"))

}
